> For the complete documentation index, see [llms.txt](https://docs.blockrazor.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-bundle.md).

# Solana Send Bundle API

瞭解 BlockRazor Solana Transaction Sending模式下Send Bundle API、端點、交易構建示例和請求參數

{% hint style="warning" %}
Solana發送bundle的服務默認不對外開放，如需提升限流標準，請[聯繫](https://discord.com/invite/qqJuwRb8Nh)我們，我們會在第一時間處理
{% endhint %}

`Send Bundle` 是 BlockRazor 為 Solana 提供的bundle發送接口，用於將已簽名交易以bundle形式低延迟發送到鏈上。

单个bundle中最多可发送 4 笔交易 。这些交易**按顺序**执行，如果任何一笔交易失败，整个bundle将无法执行。

为了增强数据包的 MEV 保护，请在bundle第一笔交易的指令中使用以 `jitodontfront` 和 `dontbund1e` 开头的任何有效的 Solana 公钥，如该笔交易遭遇frontrun攻击则将被 Jito/Harmonic 区块引擎拒绝。

### 端點

* `POST /sendBundle`
* `gRPC`

### 交易構建示例

* [Curl](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-bundle/curl.md)
* [Go](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-bundle/go.md)
* [Rust](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-bundle/rust.md)
* [JS](https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-bundle/js.md)

### 请求参数

<table><thead><tr><th width="103.18359375">字段</th><th width="81.4765625">必填</th><th width="100.2734375">格式</th><th width="173.57421875">示例</th><th>備注</th></tr></thead><tbody><tr><td>transactions</td><td>是</td><td>string[]</td><td>["$base64_tx_1","$base64_tx_2","$base64_tx_3"]</td><td>已完成簽名的交易列表，Base64编码</td></tr><tr><td>mode</td><td>否</td><td>string</td><td>"sandwichMitigation"</td><td>如填寫sandwichMitigation則開啟bundle三明治保護模式，缺省則不開啟</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.blockrazor.io/tc/transaction-submission/transaction-sending/solana/send-bundle.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
